*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    line-height: calc(1em + 5px) !important;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "IPM", sans-serif;
    background: #fff !important;
}

@font-face {
    font-family: 'IPM';
    src: url('IBMPlexSansArabic-Regular.ttf');
}

/* body {
    background-color: #f9fafb;
} */

:root {
    /*Zacta Colors*/
    --navy: #1d3761;
    --ligh-blue: #4fbbbd;
    --blue: #2053a4;
    --light-green: #7ebb5a;
    --dark-gray: #565655;
    --gray: #b8baba;
    --light-gray: #e6e6e6;
    --input-border: #b8baba;
    --input-label: #575756;
    --input-disabled: #bcbcbb;
    --input-placeholder: #b8baba;
    --white: #ffffff;
    --accent: #161616;
    --region-header-bg: #e6e6e66c;

    /* DGA Colors*/
    --primary: #1B8354;
    --secondary: #DBA102;
    --tertiary: #6D428F;
    --success: #17B26A;
    --info: #2E90FA;
    --danger: #F04438;
    --warning: #F79009;
    --priamry-gradient: linear-gradient(90deg, #1B8354 0%, #25935f 100%);

}

/* width */
::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

/* Track */
::-webkit-scrollbar-track {
    background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #1b8354;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #1b8354;
}

.t-Header-branding {
    background-color: #fff;
}

.t-Button--header {
    border-radius: 3px;
    color: #202939;
    border: solid 1px #e5e7eb;
}

.t-Button--header:hover {
    background-color: #f3f4f6;
}

.t-Header-logo-link img {
    max-height: none;
    width: 122px;
    max-width: none;
    object-fit: cover;
    aspect-ratio: 1 / 0.35;
}

/* Side-Menu */



/* .t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-hover,
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current--top.is-hover {
    background-color: #F3F4F6 !important;
}

.u-RTL .t-TreeNav--styleA .a-TreeView-node--topLevel .a-TreeView-row.is-current--top {
    box-shadow: none;
    position: relative;
    border-radius: 4px;
}

.u-RTL .t-TreeNav--styleA .a-TreeView-node--topLevel .a-TreeView-row.is-current--top::before {
    content: '';
    width: 6px;
    height: 65%;
    border-radius: 8px;
    background-color: #17B26A;
    position: absolute;
    right: 0px;
    top: 8px;
    
    display: none;
} */

/* 
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-selected,
.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current--top.is-selected {
    background-color: #f3f4f6;
}


.t-TreeNav .a-TreeView-node--topLevel .a-TreeView-row.is-current--top {
    background-color: #f3f4f6;
}

.a-TreeView-content,
.a-TreeView-content.is-selected,
.a-TreeView-content.is-selected>.fa {
    color: #202939;
}

.a-TreeView-content.is-hover,
.a-TreeView-content.is-hover>.fa {
    color: #fff;
} */


/* content */

.t-Card-wrap,
.a-CardView {
    border-radius: var(--radius-lg, 16px);
    background: var(--Background-background-card, #FFF);

    /* Shadows/shadow-md */
    box-shadow: 0px 4px 8px -2px rgba(16, 24, 40, 0.10), 0px 2px 4px -2px rgba(16, 24, 40, 0.06);
}


.criteria-search-box {
    display: block;
    width: 300px;
    /* margin: 20px 0px; */
    margin-left: auto;
    padding: 6px 10px;
    direction: rtl;
    border-radius: 6px;
    border: solid 1px #00abaf;

}

.criteria-search-box input {
    display: block;
    width: 300px;
    margin: 20px 0px;
    margin-left: auto;
    padding: 8px 10px;
    direction: rtl;
    border-radius: 6px;
    border: solid 1px #00abaf;
}

.t-Body-title {
    width: 97.5%;
    margin: auto;
    margin-top: 15px;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: none;
    background-color: #fff;
}

.t-Body-main {
    background-color: #fff;
}

/* 
.t-BreadcrumbRegion {
    padding: 10px;
    background-color: #f1f1f1;
    background-color: #54c08a;
    background-color: #1b8354;
    color: #fff;
}

.t-BreadcrumbRegion * {
    color: #fff;
}

.t-BreadcrumbRegion *:hover {
    color: #fff !important;
}

.t-BreadcrumbRegion button {
    background-color: #fff;
}

.t-BreadcrumbRegion button * {
    color: #202939;
} */


/* .a-IRR-toolbar {
    background-color: #b8eacb;
}

th {
    background-color: #f9fafb;
} */

th,
td {
    border-left: none !important;
    border-right: none !important;
    text-align: center;
}

/* tr:nth-child(odd),
.a-GV-row:nth-child(odd) .a-GV-cell {
    background-color: #f3f4f6;
} */

/* tr:nth-child(even),
.a-GV-row:nth-child(even) .a-GV-cell {
    background-color: #fcfcfc;
} */

.a-GV-cell {
    padding-top: 8px;
    padding-bottom: 8px;
}

.a-IG-header {
    background-color: #fff;
}

.a-GV-header,
.a-GV-headerGroup {
    background-color: #D2D6DB;
}

.mh-uplouded-img .a-FileDrop-image--lg {
    width: 100%;
    aspect-ratio: 1/1;

}


.mh-uplouded-img .a-FileDrop-icon {
    display: block;
    margin: auto;
}

/* .a-IRR {
    box-shadow: 0 4px 8px -2px #1018281a, 0 2px 4px -2px #1018280f;
    border: solid 1px #e8eaee;
    border-radius: 10px;
    overflow: hidden;
} */

.t-MediaList-item {
    border-bottom: var(--ut-medialist-item-border-width, var(--ut-component-inner-border-width)) solid var(--ut-medialist-item-border-color, var(--ut-component-inner-border-color)) !important;
    border-left: var(--ut-medialist-item-border-width, var(--ut-component-inner-border-width)) solid var(--ut-medialist-item-border-color, var(--ut-component-inner-border-color)) !important;
    border-top: var(--ut-medialist-item-border-width, var(--ut-component-inner-border-width)) solid var(--ut-medialist-item-border-color, var(--ut-component-inner-border-color)) !important;
    background-color: #fff;
}

.t-MediaList-item:first-child {
    border-top-right-radius: 6px;
    border-bottom-right-radius: 6px;
}

.t-MediaList-item:last-child {
    border-top-left-radius: 6px;
    border-bottom-left-radius: 6px;
}

.t-MediaList-title {
    white-space: nowrap;
}


.criteria-container .tasks {
    border-spacing: 0px !important;
}

.criteria-container tr:nth-child(odd) {
    background-color: #fff;
}

.criteria-table tbody tr {
    border-radius: 0% !important;
    outline: none !important;
}

.tasks-father {
    box-shadow: 0 4px 8px -2px #1018281a, 0 2px 4px -2px #1018280f;
    border: solid 1px #e8eaee;
    border-radius: 7px;
    overflow: hidden;
    width: 98%;
    margin: auto;
}

.criteria-container .tasks {
    min-width: 100% !important;
}

.criteria-container .tasks thead tr th {
    background-color: #b8eacb !important;
}

.toggle-task-btn {
    background-color: #1b8354 !important;
    border: none;
    color: #fff;
}

.criteria-container .tasks tr:nth-child(odd) {
    background-color: #f3f4f6;
}

.circle-percentage {
    margin: auto;
}

.eye-open .tasks-toglle-btn .spin {
    background-color: #33faa0 !important;
}

.eye-open span:nth-child(3) {
    color: #33faa0 !important;
}

.eye-close .tasks-toglle-btn .spin {
    background-color: #1b8354 !important;
}

.eye-close span:nth-child(1) {
    color: #1b8354 !important;
}


.t-Body-contentInner {
    padding: 0%;
    /* width: 97.5%; */
    padding-top: 15px;
}

.t-MediaList-title {
    color: #1b8354;
}

.t-fht-thead {
    border-bottom: solid 1px #ddd;
}

.a-CardView-item p:last-child {
    text-align: center;
}

.t-MediaList-item.is-active {
    background-color: #f3f4f5;
}


.a-GV-table {
    min-width: 100%;
}

.t-Region {
    box-shadow: 0 4px 8px -2px #1018281a, 0 2px 4px -2px #1018280f;
    border: solid 1px #e8eaee;
    border-radius: 7px !important;
    overflow: hidden;
}

/* .t-Region-body {
    padding: 1rem !important;
} */

/* .a-IG {
    width: 100%;
    margin: auto;
    box-shadow: 0 4px 8px -2px #1018281a, 0 2px 4px -2px #1018280f !important;
    border: solid 1px #e8eaee !important;
    border-radius: 7px !important;
    overflow: hidden;
} */


.ui-dialog--apex.t-Dialog-page--standard {
    box-shadow: 0 4px 8px -2px #1018281a, 0 2px 4px -2px #1018280f;
    border: solid 1px #e8eaee;
    border-radius: 7px;
    overflow: hidden;
}

.criteria-container .criteria-header {
    position: sticky;
    top: 113px !important;
    z-index: 3;

}

/*Nav-bar*/
.t-Header-controls .t-Button {
    border: none;

}

.t-NavigationBar-item:nth-child(1) {
    background-color: transparent;
    border: none;
    box-shadow: none;
    margin-left: 10px;
}

.t-NavigationBar-item:nth-child(1) img {
    width: 25px;
    aspect-ratio: 1/1;
    object-fit: contain;
    object-position: center;
    border-radius: 50%;
    outline: solid 2px #1b8354;
    padding: 2%;
    margin-left: 7px;
}


.t-NavigationBar-item:nth-child(1) a {
    padding: 2px 10px;
    display: flex;
    align-items: center;
    height: 100%;
    border: none;
}

.t-NavigationBar-item:nth-child(2) a {
    display: flex;
    align-items: center;
    height: 100%;
}

.t-Form-fieldContainer:has(#P0_USER_PICS) {
    display: none;
}

.t-NavigationBar-item:nth-child(2) {
    background-color: #1b8354;
    overflow: hidden;
    border-radius: 7px;
}

.t-NavigationBar-item:nth-child(2) a {
    padding-left: 15px;
    padding-right: 15px;
}


.t-NavigationBar-item:nth-child(2),
.t-NavigationBar-item:nth-child(2) * {
    color: #fff;
}

.t-NavigationBar-item:nth-child(2) a:hover {
    background-color: #54c08a;
}

/* Forms */
.apex-item-autocomplete-readonly,
.apex-item-color-picker-readonly,
.apex-item-combobox,
.apex-item-combobox-readonly,
.apex-item-datepicker-readonly,
.apex-item-group-readonly,
.apex-item-multi,
.apex-item-number-readonly,
.apex-item-popup-lov-readonly,
.apex-item-select,
.apex-item-select-one-many-readonly,
.apex-item-select-readonly,
.apex-item-text,
.apex-item-text-readonly,
.apex-item-textarea,
.apex-item-textarea-readonly,
.apex-item-wrapper--combobox-many .apex-item-comboselect,
.apex-item-wrapper--select-many .apex-item-comboselect,
.apex-item-wrapper.is-readonly .js-accessible-readonly,
.datetimepicker_newMonth,
.u-TF-item--select,
.u-TF-item--text,
select.group_selectlist,
select.listmanager {
    background-color: #fff;
    /* height: 2rem; */
    width: 100%;
}

.t-Form-label {
    font-weight: 400;
    margin-bottom: 8px;
}

.apex-item-group {
    width: 100%;
}

.apex-item-popup-lov.apex-item-text {
    height: auto;
    min-height: 2rem;
    background: #fff !important;
}

/*Footer*/
.t-Footer {
    background-color: #F3F4F6;
    margin-top: 10px;
}

.t-button-rep {
    color: #074d31;
    background: #dfdddd;
}


.t-button-rep:hover {
    background-color: #074d31;
    color: #fff;
}

.a-IRR-toolbar {
    background-color: #f1f1f1;
}

.t-Breadcrumb {
    margin: .75rem 0px;
}


.t-Breadcrumb-item:last-child h1 {
    font-weight: bold;
}

.t-Breadcrumb-item:last-child::after {
    display: none;
}

.t-NavigationBar-item:nth-child(2) button:hover {
    background-color: #17B26A;
}

@font-face {
    font-family: 'IBMPlexSansArabic';
    src: url('IBMPlexSansArabic-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

* {
    font-family: 'IBMPlexSansArabic', sans-serif;
}

.fa-chevron-left,
.fa-chevron-right {
    font-size: 12px !important;
}

/* m7 edit */



/* .sidenav-logo {
    background-color: #14573A;
    padding: 1rem;
}

.t-TreeNav {
    height: 100%;
} */

/* .apex-side-nav.js-navCollapsed .t-TreeNav {
    padding: 1rem;
} */


.sidenav-logo {
    padding: 1.5rem 10px;
}

.a-TreeView {
    min-height: auto;
}

.u-RTL .t-Body-nav {
    height: calc(100vh - 100px);
    margin: 20px;
    margin-right: 0%;
    border-radius: 10px;
}

/* content */

.t-Card-wrap,
.a-CardView {
    border-radius: var(--radius-lg, 16px);
    background: var(--Background-background-card, #FFF);

    /* Shadows/shadow-md */
    box-shadow: 0px 4px 8px -2px rgba(16, 24, 40, 0.10), 0px 2px 4px -2px rgba(16, 24, 40, 0.06);
}



/* tbody nav */

/* #################################### */

aside.outpages.menu-side-bar {

    width: 220px;
    background-color: #084d31;
    border-radius: 6px;
    height: 100%;
    overflow: auto;
    border: solid 3px #084d31;

}

/* width */
aside.outpages *::-webkit-scrollbar {
    width: 3px;
}

/* Track */
aside.outpages *::-webkit-scrollbar-track {
    background: #084d31;
}

/* Handle */
aside.outpages *::-webkit-scrollbar-thumb {
    background: #fff;
    border-radius: 50px;
}

aside.outpages.menu-side-bar .side-logo {
    background-color: #15573a;
    padding: 1.3rem 1rem;
}

aside.outpages.menu-side-bar .side-logo img {
    width: 65%;
    display: block;
}

aside.outpages.menu-side-bar .side-menu {
    padding: .5rem;
}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn {
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 0.3rem .5rem;
    color: #fff;
    transition: all 0.3s ease-in-out;
    border-radius: 6px;

}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn:hover,
aside.outpages.menu-side-bar .side-menu .menu-item.active-item .menu-item-btn {
    background-color: #59816f;
    cursor: pointer;
}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn .drop-icon {
    transition: all 0.3s ease-in-out;
}

aside.outpages.menu-side-bar .side-menu .menu-item.active-drop .menu-item-btn .drop-icon {
    transform: rotate(-90deg);
}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn svg {
    width: 18px;
    margin-top: 5px;
}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn .menu-text {
    font-size: .75rem;

}

aside.outpages.menu-side-bar .side-menu .menu-item .menu-item-btn .drop-icon {
    margin-right: auto;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu {
    padding: 0.5rem .5rem;
    background-color: #15573a;
    border-radius: 6px;
    display: none;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item {
    padding: 0rem 1rem;
    padding-top: .5rem;
    padding-bottom: .5rem;
    color: #fff;
    font-size: .8rem;
    transition: all 0.3s ease-in-out;
    border-radius: 6px;

}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item .more-drop-btn {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    font-size: .8rem;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item svg {
    width: 18px;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item:hover,
aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item.clicked-item {
    background-color: #59816f;
    cursor: pointer;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item .drop-icon {

    transition: all 0.3s ease-in-out;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item.clicked-item .drop-icon {
    transform: rotate(45deg);
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item .more-drop {
    width: 100%;
    margin: auto;
    padding: .5rem;
    border-radius: 5px;
    background-color: #084d31;
    display: none;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item .more-drop .more-drop-item {
    padding: 0.5rem;
    color: #fff;
    font-size: .8rem;
    transition: all 0.3s ease-in-out;
    border-radius: 6px;
}

aside.outpages.menu-side-bar .side-menu .menu-item .drop-menu .drop-menu-item .more-drop .more-drop-item:hover {
    background-color: #59816f;
    cursor: pointer;
}

aside.outpages.menu-side-bar .line {
    width: 100%;
    height: 1px;
    background-color: #ffffff47;
}


/* after upload */

.drop-menu-item,
.more-drop-item,
.menu-item-btn {
    position: relative !important;
}


.drop-menu-item a,
.more-drop-item a,
.menu-item-btn a {
    position: absolute;
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    z-index: 5;
}

/* page padding */

.t-Header-branding,
.t-Body {
    padding-left: 5%;
    padding-right: 5%;
}

.text_field,.apex-item-text,.u-RTL .apex-item-select,.apex-item-text-readonly,.apex-item-datepicker-readonly,.apex-item-popup-lov-readonly,.apex-item-select-readonly,.js-accessible-readonly{
    height: 2.2rem !important; 

}


.t-Button .t-Icon {
    font-size: 12px !important;
}

/* ####### */

.a-FileDrop-icon{
    display: flex;
    gap: 5px;
}

.a-FileDrop-icon span,.a-FileDrop-icon .a-Icon:before{
    font-size: 20px;
    color: #17B26A;
    border: solid 1px #17B26A;
    border-radius: 50%;
    width: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
    aspect-ratio: 1/1;
}

.a-FileDrop-icon:has(.a-Icon) span{
    border: none !important;
}

.ck-button *{
    color: #fff !important;
}

.ck-button:hover *{
    color: #000 !important;
}


.t-Header-branding, .t-Body{
    padding-left: 2.5% !important;
    padding-right: 2.5% !important;
}

/* add */
.no-files-msg {
    display: flex !important;
}

.file-name {
    direction: ltr;
}

.dz-filename span{
    direction: ltr;
}



